Vulnerability CVE-2019-3930


Published: 2019-04-30   Modified: 2019-05-01

Description:
The Crestron AM-100 firmware 1.6.0.2, Crestron AM-101 firmware 2.7.0.1, Barco wePresent WiPG-1000P firmware 2.3.0.10, Barco wePresent WiPG-1600W before firmware 2.4.1.19, Extron ShareLink 200/250 firmware 2.0.3.4, Teq AV IT WIPS710 firmware 1.1.0.7, SHARP PN-L703WA firmware 1.4.2.3, Optoma WPS-Pro firmware 1.0.0.5, Blackbox HD WPS firmware 1.0.0.5, InFocus LiteShow3 firmware 1.0.16, and InFocus LiteShow4 2.0.0.7 are vulnerable to a stack buffer overflow in libAwgCgi.so's PARSERtoCHAR function. A remote, unauthenticated attacker can use this vulnerability to execute arbitrary code as root via a crafted request to the return.cgi endpoint.

Type:

CWE-119

(Improper Restriction of Operations within the Bounds of a Memory Buffer)

CVSS2 => (AV:N/AC:L/Au:N/C:C/I:C/A:C)

CVSS Base Score
Impact Subscore
Exploitability Subscore
10/10
10/10
10/10
Exploit range
Attack complexity
Authentication
Remote
Low
No required
Confidentiality impact
Integrity impact
Availability impact
Complete
Complete
Complete
Affected software
Teqavit -> Wips710 firmware 
Sharp -> Pn-l703wa firmware 
Optoma -> Wps-pro firmware 
Infocus -> Liteshow3 firmware 
Infocus -> Liteshow4 firmware 
Extron -> Sharelink 200 firmware 
Extron -> Sharelink 250 firmware 
Crestron -> Am-100 firmware 
Crestron -> Am-101 firmware 
Blackbox -> Hd wireless presentation system firmware 
Barco -> Wepresent wipg-1000p firmware 

 References:
https://www.tenable.com/security/research/tra-2019-20

Copyright 2021, cxsecurity.com

 

Back to Top